#!/bin/bash

# Unload the LaunchAgent
/bin/launchctl unload -w /Library/LaunchAgents/com.elgato.StreamDeck.plist > /dev/null 2>&1

# Remove the LaunchAgent
if [ -e "/Library/LaunchAgents/com.elgato.StreamDeck.plist" ]
then
	sudo /bin/rm -rf "/Library/LaunchAgents/com.elgato.StreamDeck.plist"
fi

# Kill the Stream Deck application if it was launched manually
/usr/bin/killall "Stream Deck" > /dev/null 2>&1 || :

# Remove the Stream Deck application
if [ -e "/Applications/Stream Deck.app" ]
then
	sudo /bin/rm -rf "/Applications/Stream Deck.app"
fi

# Remove OBS Plugin
OBS_PLUGINS_DIR="/Library/Application Support/obs-studio/plugins/"
PLUGIN_NAME="StreamDeckPlugin"
if [ -d "$OBS_PLUGINS_DIR" ]
then
	sudo /bin/rm -rf "${OBS_PLUGINS_DIR}/${PLUGIN_NAME}"
fi

# Remove STREAMDECKSHM
if [ -e ~/Library/Caches/STREAMDECKSHM ]
then
	/bin/rm -rf ~/Library/Caches/STREAMDECKSHM
fi

# Remove cache
if [ -e ~/Library/Caches/elgato/StreamDeck ]
then
	/bin/rm -rf ~/Library/Caches/elgato/StreamDeck
fi

# Remove cache
if [ -e ~/Library/Caches/com.elgato.StreamDeck ]
then
	/bin/rm -rf ~/Library/Caches/com.elgato.StreamDeck
fi

# Remove com.elgato.StreamDeck in Application Support (Profiles, HockeyApp)
if [ -e ~/Library/Application\ Support/com.elgato.StreamDeck ]
then
	/bin/rm -rf ~/Library/Application\ Support/com.elgato.StreamDeck
fi

# Remove preferences
if [ -e ~/Library/Preferences/com.elgato.StreamDeck.plist ]
then
	/bin/rm -rf ~/Library/Preferences/com.elgato.StreamDeck.plist
fi

